Bug 732185 - nfsroot scripts use the wrong mount
Summary: nfsroot scripts use the wrong mount
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: busybox
Version: 19
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-20 12:54 UTC by Eray Ozkural
Modified: 2015-02-17 13:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 13:50:50 UTC


Attachments (Terms of Use)

Description Eray Ozkural 2011-08-20 12:54:00 UTC
Description of problem:

in nfs module, the nfsroot script does NOT use the mount.nfs and mount.nfs4 tools that it installs

Version-Release number of selected component (if applicable):

13

How reproducible:

easily
use nfsroot and busybox 

Steps to Reproduce:
1. build ramfs with nfsroot and busybox or another module that installs mount
2. make a netboot  

Actual results:


Expected results:


the nfsroot script invokes mount command, it should invoke only the commands that it has installed. this is important because otherwise there can be errors mounting!!! for instance busybox's mount barely works for nfs!!! 

Additional info:

Comment 1 Harald Hoyer 2011-08-22 08:52:51 UTC
Then busybox should be fixed to use "mount.nfs" and "mount.nfs4", if they are available.

Comment 2 Eray Ozkural 2011-08-22 10:23:30 UTC
Well, it's something to ponder, I suppose, but note that nfsroot module does not install mount at all, so that's not a sufficient solution. And if it did, there would be a conflict. I changed the mount calls, and it worked well.

Comment 3 Denys Vlasenko 2012-01-10 12:23:10 UTC
(In reply to comment #0)
> in nfs module, the nfsroot script does NOT use the mount.nfs and mount.nfs4
> tools that it installs

What is "nfs module"?

> How reproducible:
> 
> easily
> use nfsroot and busybox 

> Steps to Reproduce:
> 1. build ramfs with nfsroot and busybox or another module that installs mount
> 2. make a netboot

I have no idea what you are talking about. I don't know what "build ramfs" means. Please give me some pointers.

> the nfsroot script invokes mount command, it should invoke only the commands
> that it has installed. this is important because otherwise there can be errors
> mounting!!! for instance busybox's mount barely works for nfs!!! 

I tried to find this script you are talking about - in koji, and googled for it, and came up empty.

Comment 4 Fedora End Of Life 2013-04-03 14:41:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 5 Fedora End Of Life 2015-01-09 16:45:19 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-02-17 13:50:50 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.